/******************************************************************************
 *  Headerdatei GetGal.H
 *  Deklariert die Funktion GetGal() fr GalGasm, den Logic-Compiler /
 *  -Assembler zur Erstellung einer JEDEC-Datei fr die GAL-Programmierung.
 *
 *  Version               1.0
 *  Erstellt am          11.8.1990
 *  Letzte nderung am   10.12.1990
 *  Verwendeter Compiler: Lattice C for Atari ST, Ver 3.04
 *
 *  (c) Volker Bosch, Kaiserstrae 49, 7000 Stuttgart 70, (0711)454859
 *
 *****************************************************************************/


/*--------------------------------------------------------------------------
 | Funktion bestimmt den GAL-Typ, trgt diesen in das Flag GalTyp ein und
 | analysiert die Liste der symbolischen Singalnamen. Namen und zugeh.
 | Pinnummern werden in die beiden Felder Eingaenge[] und Ausgaenge[] ein-
 | getragen. Bei einem Fehler wird unter Rckgabe eines Fehlercodes abge-
 | brochen.   Fehlercodes:
 */
#define GETGAL_ERR    10000L /* Kennz. Fehlercode von GetGal()          */
         /*        1 bis 24:    Pinnummer, bei der Fehler auftrat.      */
#define GAL_UNBEK       300L /* GAL-Typ unbekannt              }        */
#define ZUWENIG_NAMEN   400L /* Zuwenig Signalnamen            } Fehlernrn.  */
#define ZUVIELE_NAMEN   500L /* Zuviele Signalnamen            } werden ggf. */
#define GND_PIN_FALSCH  600L /* Gnd an falschem Pin            } auf die Pin-*/
#define VCC_PIN_FALSCH  700L /* Vcc an falschem Pin            } nummer add. */
#define NAME_N_EIND     800L /* Signalname nicht eindeutig     }        */
#define NAME_UNBEK      900L /* Signalname ungltig            }        */
#define GLEICH_ERW     1000L /* Erwarte Gleichzeichen (=)      }        */
#define BINAER_ERW     1100L /* Erwarte 0 oder 1               }        */
#define TRENN_ERW      1200L /* Erwarte Trennungszeichen (,;=) }        */
 /*
 *---------------------------------------------------------------------------*/
extern long GetGal(void);

